Bug 202680 - CVE-2006-3619 Directory traversal issue in fastjar
CVE-2006-3619 Directory traversal issue in fastjar
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
impact=moderate,source=vendorsec,repo...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-15 16:25 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-16 06:25:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2006-08-15 16:25:33 EDT
We ship fastjar in libgcj in FC6test2 which looks vulnerable to this issue

+++ This bug was initially created as a clone of Bug #198912 +++

When unpacking a .JAR archive with filenames with "../../../...." in it,
"fastjar" from GCC will happily unpack in the "../../../...." directory.

(Credits go to Juergen Weigert for finding this.)

The GCC bug report can be found here:

http://gcc.gnu.org/bugzilla/show_bug.cgi?id=28359
Comment 2 Mark J. Cox (Product Security) 2006-08-16 06:25:19 EDT
Correct, this is fixed by backported patch gcc41-CVE-2006-3619.patch, I'd missed
this in the initial scan.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.